MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions
FLASH

## Data Structures
struct | _FLASH_Obj_
| Defines the flash (FLASH) object. More...

## Macros
#define | FLASH_BASE_ADDR (0x00000A80)
| Defines the base address of the flash (FLASH) registers. More...
#define | FLASH_ACTIVE_WAIT_COUNT_DEFAULT (0x01FF)
| Defines the default active wait count in units of SYSCLKOUT cycles. More...
#define | FLASH_STANDBY_WAIT_COUNT_DEFAULT (0x01FF)
| Defines the default standby wait count in units of SYSCLKOUT cycles. More...
#define | FLASH_FOPT_ENPIPE_BITS (1 << 0)
| Defines the location of the ENPIPE bits in the FOPT register. More...
#define | FLASH_FACTIVEWAIT_ACTIVEWAIT_BITS (255 << 0)
| Defines the location of the ACTIVEWAIT bits in the FACTIVEWAIT register. More...
#define | FLASH_FBANKWAIT_RANDWAIT_BITS (15 << 0)
| Defines the location of the RANDWAIT bits in the FBANKWAIT register. More...
#define | FLASH_FBANKWAIT_PAGEWAIT_BITS (15 << 8)
| Defines the location of the PAGEWAIT bits in the FBANKWAIT register. More...
#define | FLASH_FOTPWAIT_OTPWAIT_BITS (31 << 0)
| Defines the location of the OTPWAIT bits in the FOTPWAIT register. More...
#define | FLASH_FPWR_PWR_BITS (3 << 0)
| Defines the location of the PWR bits in the FPWR register. More...
#define | FLASH_FSTATUS_PWRS_BITS (3 << 0)
| Defines the location of the PWRS bits in the FSTATUS register. More...
#define | FLASH_FSTATUS_STDBYWAITS_BITS (1 << 2)
| Defines the location of the STDBYWAITS bits in the FSTATUS register. More...
#define | FLASH_FSTATUS_ACTIVEWAITS_BITS (1 << 3)
| Defines the location of the ACTIVEWAITS bits in the FSTATUS register. More...
#define | FLASH_FSTATUS_3VSTAT_BITS (1 << 8)
| Defines the location of the 3VSTAT bits in the FSTATUS register. More...
#define | FLASH_FSTDBYWAIT_STDBYWAIT_BITS (255 << 0)
| Defines the location of the STDBYWAIT bits in the FSTDBYWAIT register. More...

## Typedefs
typedef struct _FLASH_Obj_ | FLASH_Obj
| Defines the flash (FLASH) object. More...
typedef struct _FLASH_Obj_ * | FLASH_Handle
| Defines the flash (FLASH) handle. More...

## Enumerations
enum | FLASH_3VStatus_e { FLASH_3VStatus_InRange =(0 << 8), FLASH_3VStatus_OutOfRange =(1 << 8) }
| Enumeration to define the 3V status. More...
enum | FLASH_CounterStatus_e { FLASH_CounterStatus_NotCounting =0, FLASH_CounterStatus_Counting }
| Enumeration to define the counter status. More...
enum | FLASH_NumOtpWaitStates_e { FLASH_NumOtpWaitStates_1 =(1 << 0), FLASH_NumOtpWaitStates_2 =(2 << 0), FLASH_NumOtpWaitStates_3 =(3 << 0), FLASH_NumOtpWaitStates_4 =(4 << 0), FLASH_NumOtpWaitStates_5 =(5 << 0), FLASH_NumOtpWaitStates_6 =(6 << 0), FLASH_NumOtpWaitStates_7 =(7 << 0), FLASH_NumOtpWaitStates_8 =(8 << 0), FLASH_NumOtpWaitStates_9 =(9 << 0), FLASH_NumOtpWaitStates_10 =(10 << 0), FLASH_NumOtpWaitStates_11 =(11 << 0), FLASH_NumOtpWaitStates_12 =(12 << 0), FLASH_NumOtpWaitStates_13 =(13 << 0), FLASH_NumOtpWaitStates_14 =(14 << 0), FLASH_NumOtpWaitStates_15 =(15 << 0) }
| Enumeration to define the number of one-time programmable wait states. More...
enum | FLASH_NumPagedWaitStates_e { FLASH_NumPagedWaitStates_0 =(0 << 8), FLASH_NumPagedWaitStates_1 =(1 << 8), FLASH_NumPagedWaitStates_2 =(2 << 8), FLASH_NumPagedWaitStates_3 =(3 << 8), FLASH_NumPagedWaitStates_4 =(4 << 8), FLASH_NumPagedWaitStates_5 =(5 << 8), FLASH_NumPagedWaitStates_6 =(6 << 8), FLASH_NumPagedWaitStates_7 =(7 << 8), FLASH_NumPagedWaitStates_8 =(8 << 8), FLASH_NumPagedWaitStates_9 =(9 << 8), FLASH_NumPagedWaitStates_10 =(10 << 8), FLASH_NumPagedWaitStates_11 =(11 << 8), FLASH_NumPagedWaitStates_12 =(12 << 8), FLASH_NumPagedWaitStates_13 =(13 << 8), FLASH_NumPagedWaitStates_14 =(14 << 8), FLASH_NumPagedWaitStates_15 =(15 << 8) }
| Enumeration to define the number of paged wait states. More...
enum | FLASH_NumRandomWaitStates_e { FLASH_NumRandomWaitStates_1 =(1 << 0), FLASH_NumRandomWaitStates_2 =(2 << 0), FLASH_NumRandomWaitStates_3 =(3 << 0), FLASH_NumRandomWaitStates_4 =(4 << 0), FLASH_NumRandomWaitStates_5 =(5 << 0), FLASH_NumRandomWaitStates_6 =(6 << 0), FLASH_NumRandomWaitStates_7 =(7 << 0), FLASH_NumRandomWaitStates_8 =(8 << 0), FLASH_NumRandomWaitStates_9 =(9 << 0), FLASH_NumRandomWaitStates_10 =(10 << 0), FLASH_NumRandomWaitStates_11 =(11 << 0), FLASH_NumRandomWaitStates_12 =(12 << 0), FLASH_NumRandomWaitStates_13 =(13 << 0), FLASH_NumRandomWaitStates_14 =(14 << 0), FLASH_NumRandomWaitStates_15 =(15 << 0) }
| Enumeration to define the number of random wait states. More...
enum | FLASH_PowerMode_e { FLASH_PowerMode_PumpAndBankSleep =(0 << 0), FLASH_PowerMode_PumpAndBankStandby =(1 << 0), FLASH_PowerMode_PumpAndBankActive =(3 << 0) }
| Enumeration to define the power modes. More...

## Functions
void | FLASH_clear3VStatus (FLASH_Handle flashHandle)
| Clears the 3V status. More...
void | FLASH_disablePipelineMode (FLASH_Handle flashHandle)
| Disables the pipeline mode. More...
void | FLASH_enablePipelineMode (FLASH_Handle flashHandle)
| Enables the pipeline mode. More...
FLASH_3VStatus_e | FLASH_get3VStatus (FLASH_Handle flashHandle)
| Gets the 3V status. More...
uint16_t | FLASH_getActiveWaitCount (FLASH_Handle flashHandle)
| Gets the active wait count. More...
FLASH_CounterStatus_e | FLASH_getActiveWaitStatus (FLASH_Handle flashHandle)
| Gets the active wait counter status. More...
FLASH_PowerMode_e | FLASH_getPowerMode (FLASH_Handle flashHandle)
| Gets the power mode. More...
uint16_t | FLASH_getStandbyWaitCount (FLASH_Handle flashHandle)
| Gets the standby wait count. More...
FLASH_CounterStatus_e | FLASH_getStandbyWaitStatus (FLASH_Handle flashHandle)
| Gets the standby wait counter status. More...
FLASH_Handle | FLASH_init (void *pMemory, const size_t numBytes)
| Initializes the flash (FLASH) handle. More...
void | FLASH_setActiveWaitCount (FLASH_Handle flashHandle, const uint16_t count)
| Sets the active wait count. More...
void | FLASH_setNumPagedReadWaitStates (FLASH_Handle flashHandle, const FLASH_NumPagedWaitStates_e numStates)
| Sets the number of paged read wait states. More...
void | FLASH_setNumRandomReadWaitStates (FLASH_Handle flashHandle, const FLASH_NumRandomWaitStates_e numStates)
| Sets the number of random read wait states. More...
void | FLASH_setOtpWaitStates (FLASH_Handle flashHandle, const FLASH_NumOtpWaitStates_e numStates)
| Sets the number of one-time programmable (OTP) wait states. More...
void | FLASH_setPowerMode (FLASH_Handle flashHandle, const FLASH_PowerMode_e mode)
| Sets the power mode. More...
void | FLASH_setStandbyWaitCount (FLASH_Handle flashHandle, const uint16_t count)
| Sets the standby wait count. More...

## Detailed Description

## Data Structure Documentation

struct _FLASH_Obj_

Defines the flash (FLASH) object.

Definition at line 232 of file flash.h.

Data Fields
volatile uint16_t | FACTIVEWAIT | Flash Standby to Active Wait Register.
volatile uint16_t | FBANKWAIT | Flash Read Access Wait State Register.
volatile uint16_t | FOPT | Flash Option Register.
volatile uint16_t | FOTPWAIT | OTP Read Access Wait State Register.
volatile uint16_t | FPWR | Flash Power Modes Register.
volatile uint16_t | FSTATUS | Status Register.
volatile uint16_t | FSTDBYWAIT | Flash Sleep To Standby Wait Register.
volatile uint16_t | rsvd_1 | Reserved.

## Macro Definition Documentation

#define FLASH_ACTIVE_WAIT_COUNT_DEFAULT (0x01FF)

Defines the default active wait count in units of SYSCLKOUT cycles.

Definition at line 72 of file flash.h.

#define FLASH_BASE_ADDR (0x00000A80)

Defines the base address of the flash (FLASH) registers.

Definition at line 67 of file flash.h.

#define FLASH_FACTIVEWAIT_ACTIVEWAIT_BITS (255 << 0)

Defines the location of the ACTIVEWAIT bits in the FACTIVEWAIT register.

Definition at line 87 of file flash.h.

Referenced by FLASH_getActiveWaitCount().

#define FLASH_FBANKWAIT_PAGEWAIT_BITS (15 << 8)

Defines the location of the PAGEWAIT bits in the FBANKWAIT register.

Definition at line 96 of file flash.h.

Referenced by FLASH_setNumPagedReadWaitStates().

#define FLASH_FBANKWAIT_RANDWAIT_BITS (15 << 0)

Defines the location of the RANDWAIT bits in the FBANKWAIT register.

Definition at line 92 of file flash.h.

Referenced by FLASH_setNumRandomReadWaitStates().

#define FLASH_FOPT_ENPIPE_BITS (1 << 0)

Defines the location of the ENPIPE bits in the FOPT register.

Definition at line 82 of file flash.h.

Referenced by FLASH_disablePipelineMode(), and FLASH_enablePipelineMode().

#define FLASH_FOTPWAIT_OTPWAIT_BITS (31 << 0)

Defines the location of the OTPWAIT bits in the FOTPWAIT register.

Definition at line 101 of file flash.h.

Referenced by FLASH_setOtpWaitStates().

#define FLASH_FPWR_PWR_BITS (3 << 0)

Defines the location of the PWR bits in the FPWR register.

Definition at line 106 of file flash.h.

Referenced by FLASH_setPowerMode().

#define FLASH_FSTATUS_3VSTAT_BITS (1 << 8)

Defines the location of the 3VSTAT bits in the FSTATUS register.

Definition at line 123 of file flash.h.

Referenced by FLASH_clear3VStatus(), and FLASH_get3VStatus().

#define FLASH_FSTATUS_ACTIVEWAITS_BITS (1 << 3)

Defines the location of the ACTIVEWAITS bits in the FSTATUS register.

Definition at line 119 of file flash.h.

Referenced by FLASH_getActiveWaitStatus().

#define FLASH_FSTATUS_PWRS_BITS (3 << 0)

Defines the location of the PWRS bits in the FSTATUS register.

Definition at line 111 of file flash.h.

Referenced by FLASH_getPowerMode().

#define FLASH_FSTATUS_STDBYWAITS_BITS (1 << 2)

Defines the location of the STDBYWAITS bits in the FSTATUS register.

Definition at line 115 of file flash.h.

Referenced by FLASH_getStandbyWaitStatus().

#define FLASH_FSTDBYWAIT_STDBYWAIT_BITS (255 << 0)

Defines the location of the STDBYWAIT bits in the FSTDBYWAIT register.

Definition at line 128 of file flash.h.

Referenced by FLASH_getStandbyWaitCount().

#define FLASH_STANDBY_WAIT_COUNT_DEFAULT (0x01FF)

Defines the default standby wait count in units of SYSCLKOUT cycles.

Definition at line 77 of file flash.h.

## Typedef Documentation

typedef struct _FLASH_Obj_* FLASH_Handle

Defines the flash (FLASH) handle.

Definition at line 247 of file flash.h.

typedef struct _FLASH_Obj_ FLASH_Obj

Defines the flash (FLASH) object.

## Enumeration Type Documentation

enum FLASH_3VStatus_e

Enumeration to define the 3V status.

Enumerator
FLASH_3VStatus_InRange | Denotes the 3V flash voltage is in range.
FLASH_3VStatus_OutOfRange | Denotes the 3V flash voltage went out of range.

Definition at line 137 of file flash.h.

enum FLASH_CounterStatus_e

Enumeration to define the counter status.

Enumerator
FLASH_CounterStatus_NotCounting | Denotes the flash counter is not counting.
FLASH_CounterStatus_Counting | Denotes the flash counter is counting.

Definition at line 146 of file flash.h.

enum FLASH_NumOtpWaitStates_e

Enumeration to define the number of one-time programmable wait states.

Enumerator
FLASH_NumOtpWaitStates_1 | Denotes the number of one-time programmable (OTP) wait states is 1.
FLASH_NumOtpWaitStates_2 | Denotes the number of one-time programmable (OTP) wait states is 2.
FLASH_NumOtpWaitStates_3 | Denotes the number of one-time programmable (OTP) wait states is 3.
FLASH_NumOtpWaitStates_4 | Denotes the number of one-time programmable (OTP) wait states is 4.
FLASH_NumOtpWaitStates_5 | Denotes the number of one-time programmable (OTP) wait states is 5.
FLASH_NumOtpWaitStates_6 | Denotes the number of one-time programmable (OTP) wait states is 6.
FLASH_NumOtpWaitStates_7 | Denotes the number of one-time programmable (OTP) wait states is 7.
FLASH_NumOtpWaitStates_8 | Denotes the number of one-time programmable (OTP) wait states is 8.
FLASH_NumOtpWaitStates_9 | Denotes the number of one-time programmable (OTP) wait states is 9.
FLASH_NumOtpWaitStates_10 | Denotes the number of one-time programmable (OTP) wait states is 10.
FLASH_NumOtpWaitStates_11 | Denotes the number of one-time programmable (OTP) wait states is 11.
FLASH_NumOtpWaitStates_12 | Denotes the number of one-time programmable (OTP) wait states is 12.
FLASH_NumOtpWaitStates_13 | Denotes the number of one-time programmable (OTP) wait states is 13.
FLASH_NumOtpWaitStates_14 | Denotes the number of one-time programmable (OTP) wait states is 14.
FLASH_NumOtpWaitStates_15 | Denotes the number of one-time programmable (OTP) wait states is 15.

Definition at line 155 of file flash.h.

enum FLASH_NumPagedWaitStates_e

Enumeration to define the number of paged wait states.

Enumerator
FLASH_NumPagedWaitStates_0 | Denotes the number of paged read wait states is 0.
FLASH_NumPagedWaitStates_1 | Denotes the number of paged read wait states is 1.
FLASH_NumPagedWaitStates_2 | Denotes the number of paged read wait states is 2.
FLASH_NumPagedWaitStates_3 | Denotes the number of paged read wait states is 3.
FLASH_NumPagedWaitStates_4 | Denotes the number of paged read wait states is 4.
FLASH_NumPagedWaitStates_5 | Denotes the number of paged read wait states is 5.
FLASH_NumPagedWaitStates_6 | Denotes the number of paged read wait states is 6.
FLASH_NumPagedWaitStates_7 | Denotes the number of paged read wait states is 7.
FLASH_NumPagedWaitStates_8 | Denotes the number of paged read wait states is 8.
FLASH_NumPagedWaitStates_9 | Denotes the number of paged read wait states is 9.
FLASH_NumPagedWaitStates_10 | Denotes the number of paged read wait states is 10.
FLASH_NumPagedWaitStates_11 | Denotes the number of paged read wait states is 11.
FLASH_NumPagedWaitStates_12 | Denotes the number of paged read wait states is 12.
FLASH_NumPagedWaitStates_13 | Denotes the number of paged read wait states is 13.
FLASH_NumPagedWaitStates_14 | Denotes the number of paged read wait states is 14.
FLASH_NumPagedWaitStates_15 | Denotes the number of paged read wait states is 15.

Definition at line 177 of file flash.h.

enum FLASH_NumRandomWaitStates_e

Enumeration to define the number of random wait states.

Enumerator
FLASH_NumRandomWaitStates_1 | Denotes the number of randowm read wait states is 1.
FLASH_NumRandomWaitStates_2 | Denotes the number of randowm read wait states is 2.
FLASH_NumRandomWaitStates_3 | Denotes the number of randowm read wait states is 3.
FLASH_NumRandomWaitStates_4 | Denotes the number of randowm read wait states is 4.
FLASH_NumRandomWaitStates_5 | Denotes the number of randowm read wait states is 5.
FLASH_NumRandomWaitStates_6 | Denotes the number of randowm read wait states is 6.
FLASH_NumRandomWaitStates_7 | Denotes the number of randowm read wait states is 7.
FLASH_NumRandomWaitStates_8 | Denotes the number of randowm read wait states is 8.
FLASH_NumRandomWaitStates_9 | Denotes the number of randowm read wait states is 9.
FLASH_NumRandomWaitStates_10 | Denotes the number of randowm read wait states is 10.
FLASH_NumRandomWaitStates_11 | Denotes the number of randowm read wait states is 11.
FLASH_NumRandomWaitStates_12 | Denotes the number of randowm read wait states is 12.
FLASH_NumRandomWaitStates_13 | Denotes the number of randowm read wait states is 13.
FLASH_NumRandomWaitStates_14 | Denotes the number of randowm read wait states is 14.
FLASH_NumRandomWaitStates_15 | Denotes the number of randowm read wait states is 15.

Definition at line 200 of file flash.h.

enum FLASH_PowerMode_e

Enumeration to define the power modes.

Enumerator
FLASH_PowerMode_PumpAndBankSleep | Denotes a pump and bank sleep power mode.
FLASH_PowerMode_PumpAndBankStandby | Denotes a pump and bank standby power mode.
FLASH_PowerMode_PumpAndBankActive | Denotes a pump and bank active power mode.

Definition at line 222 of file flash.h.

## Function Documentation

void FLASH_clear3VStatus | ( | FLASH_Handle | flashHandle | ) |

Clears the 3V status.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Definition at line 56 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, FLASH_FSTATUS_3VSTAT_BITS, and _FLASH_Obj_::FSTATUS.

void FLASH_disablePipelineMode | ( | FLASH_Handle | flashHandle | ) |

Disables the pipeline mode.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Definition at line 73 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, FLASH_FOPT_ENPIPE_BITS, and _FLASH_Obj_::FOPT.

void FLASH_enablePipelineMode | ( | FLASH_Handle | flashHandle | ) |

Enables the pipeline mode.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Definition at line 90 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, FLASH_FOPT_ENPIPE_BITS, and _FLASH_Obj_::FOPT.

FLASH_3VStatus_e FLASH_get3VStatus | ( | FLASH_Handle | flashHandle | ) |

Gets the 3V status.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Returns
  The 3V status

Definition at line 106 of file flash.c.

References FLASH_FSTATUS_3VSTAT_BITS, and _FLASH_Obj_::FSTATUS.

uint16_t FLASH_getActiveWaitCount | ( | FLASH_Handle | flashHandle | ) |

Gets the active wait count.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Returns
  The active wait count

Definition at line 118 of file flash.c.

References _FLASH_Obj_::FACTIVEWAIT, and FLASH_FACTIVEWAIT_ACTIVEWAIT_BITS.

FLASH_CounterStatus_e FLASH_getActiveWaitStatus | ( | FLASH_Handle | flashHandle | ) |

Gets the active wait counter status.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Returns
  The active wait counter status

Definition at line 130 of file flash.c.

References FLASH_FSTATUS_ACTIVEWAITS_BITS, and _FLASH_Obj_::FSTATUS.

FLASH_PowerMode_e FLASH_getPowerMode | ( | FLASH_Handle | flashHandle | ) |

Gets the power mode.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Returns
  The power mode

Definition at line 142 of file flash.c.

References FLASH_FSTATUS_PWRS_BITS, and _FLASH_Obj_::FSTATUS.

uint16_t FLASH_getStandbyWaitCount | ( | FLASH_Handle | flashHandle | ) |

Gets the standby wait count.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Returns
  The standby wait count

Definition at line 154 of file flash.c.

References FLASH_FSTDBYWAIT_STDBYWAIT_BITS, and _FLASH_Obj_::FSTDBYWAIT.

FLASH_CounterStatus_e FLASH_getStandbyWaitStatus | ( | FLASH_Handle | flashHandle | ) |

Gets the standby wait counter status.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle

Returns
  The standby wait counter status

Definition at line 166 of file flash.c.

References FLASH_FSTATUS_STDBYWAITS_BITS, and _FLASH_Obj_::FSTATUS.

FLASH_Handle FLASH_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the flash (FLASH) handle.

Parameters

  [in] | pMemory | A pointer to the base address of the FLASH registers
  [in] | numBytes | The number of bytes allocated for the FLASH object, bytes

Returns
  The flash (FLASH) object handle

Definition at line 178 of file flash.c.

void FLASH_setActiveWaitCount | ( | FLASH_Handle | flashHandle,
|  | const uint16_t | count
| ) |  |

Sets the active wait count.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle
  [in] | count | The active wait count

Definition at line 194 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _FLASH_Obj_::FACTIVEWAIT.

void FLASH_setNumPagedReadWaitStates | ( | FLASH_Handle | flashHandle,
|  | const FLASH_NumPagedWaitStates_e | numStates
| ) |  |

Sets the number of paged read wait states.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle
  [in] | numStates | The number of paged read wait states

Definition at line 210 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, _FLASH_Obj_::FBANKWAIT, and FLASH_FBANKWAIT_PAGEWAIT_BITS.

void FLASH_setNumRandomReadWaitStates | ( | FLASH_Handle | flashHandle,
|  | const FLASH_NumRandomWaitStates_e | numStates
| ) |  |

Sets the number of random read wait states.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle
  [in] | numStates | The number of random read wait states

Definition at line 230 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, _FLASH_Obj_::FBANKWAIT, and FLASH_FBANKWAIT_RANDWAIT_BITS.

void FLASH_setOtpWaitStates | ( | FLASH_Handle | flashHandle,
|  | const FLASH_NumOtpWaitStates_e | numStates
| ) |  |

Sets the number of one-time programmable (OTP) wait states.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle
  [in] | numStates | The number of one-time programmable (OTP) wait states

Definition at line 250 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, FLASH_FOTPWAIT_OTPWAIT_BITS, and _FLASH_Obj_::FOTPWAIT.

void FLASH_setPowerMode | ( | FLASH_Handle | flashHandle,
|  | const FLASH_PowerMode_e | mode
| ) |  |

Sets the power mode.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle
  [in] | mode | The power mode

Definition at line 270 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, FLASH_FPWR_PWR_BITS, and _FLASH_Obj_::FPWR.

void FLASH_setStandbyWaitCount | ( | FLASH_Handle | flashHandle,
|  | const uint16_t | count
| ) |  |

Sets the standby wait count.

Parameters

  [in] | flashHandle | The flash (FLASH) object handle
  [in] | count | The standby wait count

Definition at line 290 of file flash.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _FLASH_Obj_::FSTDBYWAIT.